# coding=utf-8

from utils.permission import IsAdministrator
from utils.custom_modelviewset import CustomModelViewSet
from apps.staff.models import Department
from apps.staff.serializers import DepartmentSerializer
from apps.staff.filters import DepartmentFilter

class DepartmentViewSet(CustomModelViewSet):
    permission_classes = [IsAdministrator, ]
    queryset = Department.objects.filter(delete=False)
    serializer_class = DepartmentSerializer

    def filter_queryset(self, queryset):
        f = DepartmentFilter(self.request.GET, queryset=queryset)
        return f.qs